import { Component, EventEmitter, Input, Output, SimpleChanges } from '@angular/core';

@Component({
  selector: 'lib-custom-button-demo',
  templateUrl:'./custom-button-demo.component.html',
  styleUrls: ['./custom-button-demo.component.scss']
})
export class CustomButtonDemoComponent {
  @Input() label!: string;
  @Input() class!: string;
  @Input() color!: string;
  @Input() width!: string;
  @Input() isSecondaryButton = false;
  @Output() buttonClicked: EventEmitter<MouseEvent> = new EventEmitter<MouseEvent>();
  @Input() disabled:boolean = false;

  onClick(event:any) {
    this.buttonClicked.emit(event);
  }
  ngOnChanges(changes:SimpleChanges):void{
console.log(this.class)
  }
}
